/*
 * Copyright (C) 2006 Andre Noll <maan@systemlinux.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */

/** \file aac.h exported symbols from aac_common.c */

#include <neaacdec.h>

NeAACDecHandle aac_open(void);
ssize_t aac_find_esds(unsigned char *buf, size_t buflen, size_t *skip);
ssize_t aac_find_entry_point(unsigned char *buf, size_t buflen, size_t *skip);

static inline unsigned aac_read_int32(unsigned char *buf)
{
	uint8_t *d = (uint8_t*)buf;
	return (d[0] << 24) | (d[1] << 16) | (d[2] << 8) | d[3];
}
