/* filter.cmdline.h */

/* File autogenerated by gengetopt version 2.17  */

#ifndef FILTER_CMDLINE_H
#define FILTER_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef FILTER_CMDLINE_PARSER_PACKAGE
#define FILTER_CMDLINE_PARSER_PACKAGE "para_filter"
#endif

#ifndef FILTER_CMDLINE_PARSER_VERSION
#define FILTER_CMDLINE_PARSER_VERSION "0.2.15"
#endif

struct filter_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int loglevel_arg;	/* set loglevel (0-6) (default='4').  */
  char * loglevel_orig;	/* set loglevel (0-6) original value given at command line.  */
  const char *loglevel_help; /* set loglevel (0-6) help description.  */
  char ** filter_arg;	/* Specify filter.
  
  May be given multiple times to 'pipe' the stream
  through arbitrary many filters in an efficient
  way.  The same filter may appear more than once,
  order matters.
  
  Filter options may be specified for each '-f'
  option separately. Note that you will have to
  quote these options like this:
  
  	-f 'compress --inertia 5 --damp 2'
.  */
  char ** filter_orig;	/* Specify filter.
  
  May be given multiple times to 'pipe' the stream
  through arbitrary many filters in an efficient
  way.  The same filter may appear more than once,
  order matters.
  
  Filter options may be specified for each '-f'
  option separately. Note that you will have to
  quote these options like this:
  
  	-f 'compress --inertia 5 --damp 2'
 original value given at command line.  */
  int filter_min; /* Specify filter.
  
  May be given multiple times to 'pipe' the stream
  through arbitrary many filters in an efficient
  way.  The same filter may appear more than once,
  order matters.
  
  Filter options may be specified for each '-f'
  option separately. Note that you will have to
  quote these options like this:
  
  	-f 'compress --inertia 5 --damp 2'
's minimum occurreces */
  int filter_max; /* Specify filter.
  
  May be given multiple times to 'pipe' the stream
  through arbitrary many filters in an efficient
  way.  The same filter may appear more than once,
  order matters.
  
  Filter options may be specified for each '-f'
  option separately. Note that you will have to
  quote these options like this:
  
  	-f 'compress --inertia 5 --damp 2'
's maximum occurreces */
  const char *filter_help; /* Specify filter.
  
  May be given multiple times to 'pipe' the stream
  through arbitrary many filters in an efficient
  way.  The same filter may appear more than once,
  order matters.
  
  Filter options may be specified for each '-f'
  option separately. Note that you will have to
  quote these options like this:
  
  	-f 'compress --inertia 5 --damp 2'
 help description.  */
  int list_filters_flag;	/* print list of available filters and exit (default=off).  */
  const char *list_filters_help; /* print list of available filters and exit help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int loglevel_given ;	/* Whether loglevel was given.  */
  unsigned int filter_given ;	/* Whether filter was given.  */
  int list_filters_given ;	/* Whether list_filters was given.  */

} ;

extern const char *filter_args_info_purpose;
extern const char *filter_args_info_usage;
extern const char *filter_args_info_help[];

int filter_cmdline_parser (int argc, char * const *argv,
  struct filter_args_info *args_info);
int filter_cmdline_parser2 (int argc, char * const *argv,
  struct filter_args_info *args_info,
  int override, int initialize, int check_required);
int filter_cmdline_parser_file_save(const char *filename,
  struct filter_args_info *args_info);

void filter_cmdline_parser_print_help(void);
void filter_cmdline_parser_print_version(void);

void filter_cmdline_parser_init (struct filter_args_info *args_info);
void filter_cmdline_parser_free (struct filter_args_info *args_info);

int filter_cmdline_parser_configfile (char * const filename,
  struct filter_args_info *args_info,
  int override, int initialize, int check_required);

int filter_cmdline_parser_required (struct filter_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* FILTER_CMDLINE_H */
